Getting started

Learning about the Printer Driver Configuration Utility

Creating driver configurations

Setting lock types


Driver Configuration Files (DCFs) contain driver configurations and use the file extension .ldc. You must use the Printer Driver Configuration Utility to create DCFs. During installation, end users and clients select the DCF that contains the configurations they want to use to create a printer object. An individual configuration inside the DCF is identified by a description.

You can also use the Printer Driver Configuration Utility to view and edit configurations in a DCF.

Learning about the Printer Driver Configuration Utility

Use the Printer Driver Configuration Utility to create driver configurations. A driver configuration is a group of saved printer driver settings and other data that is stored in a Driver Configuration File (DCF). A driver configuration contains settings such as print orientation and pages per sheet (Document Settings), and installation status of a duplex unit or an exit bin (Printer Options). You can also create driver configurations that work across printer models.

The Printer Driver Configuration lets you:

  • Configure a printer object when installing it.

  • Configure multiple printer objects, each with unique settings, for the same printer driver (also referred to as the creation of virtual printer objects).

  • View or edit an existing configuration.

Note: The DCF name must have an extension of .ldc.

Tell me more

Determining operating system compatibility


Creating driver configurations

You can create a driver configuration either from an existing print object (Installed) or using a driver package.

Creating a driver configuration from an existing printer object

Creating a driver configuration using the default settings


Creating a driver configuration from an existing printer object

Note: Before creating configurations for the printer object, make sure a printer object is installed on your computer.

  1. Run the Printer Driver Configuration Utility.

    In Windows 8

    From the Search charm, type printer driver configuration utility, and then navigate to:

    Apps list > Printer Driver Configuration Utility

    In Windows 7 or earlier

    1. Click the start button or Start.

    2. Click All Programs or Programs, and then select the printer program folder from the list.

    3. Click Printer Driver Configuration Utility.

  2. Click File > New.

  3. From the Driver Settings drop-down menu in the “Create a New Configuration” dialog, select the printer object you want to use, and then click OK.

  4. Select the configuration data you want to create, and then click File > Save.

Notes:

  • The values from the selected printer object are values set in the Printing Defaults settings. Printing Defaults settings can be accessed through the printer properties Advanced tab.
  • Configuration settings may vary depending on your printer models and printer drivers.
  • Configurations are not specific to data streams. Some examples of data streams are PCL, PostScript, and XPS.


Creating a driver configuration using the default settings

  1. Run the Printer Driver Configuration Utility:

    In Windows 8

    From the Search charm, type Printer Driver Configuration Utility, and then navigate to:

    Apps list > Printer Driver Configuration Utility

    In Windows 7 or earlier

    1. Click the start button or Start.

    2. Click All Programs or Programs, and then select the printer program folder from the list.

    3. Click Printer Driver Configuration Utility.

    Note: When launched, the Printer Driver Configuration Utility uses the default configuration settings.

  2. Click File > New.

  3. From the “Create a New Configuration” dialog, select Default Settings, and then click OK.

  4. Select the configuration data you want to create, and then click File > Save.

    5. Notes:

    • If you are saving a configuration for the first time, then you need to create a file name with an .ldc file extension.
    • Configuration settings may vary, depending on your printer model and printer driver.
    • Configurations are not specific to data streams. Some examples of data streams are PCL, PostScript, and XPS.
    • Some configuration settings may not apply to all printer drivers.
    • The lock types for the configuration settings are set to “Ignore” by default.


Setting lock types

The Printer Driver Configuration Utility lets you lock each configuration setting.

Notes:

  • The lock types are available from the drop-down menu beside each configuration setting.
  • The lock type is set to “Ignore” when the Driver Configuration Utility is initially launched, or when you are creating a new driver configuration using the default settings.

Use

To

Ignore

Exclude a configuration setting from the configuration file.

For example, an administrator sets Duplex Type to Long Edge and the lock type to Ignore. The Duplex Type setting is not saved in the configuration file.

Save

Let users set an initial value for a configuration setting.

For example, an administrator sets Duplex Type to Long Edge and the lock type to Save. When the configured printer driver is accessed from an application, Duplex Type is already set to Long Edge. If a user modifies and sets Duplex Type to Short Edge, then the next time the printer object is used, Duplex Type is already set to Short Edge.

Note: Users can change the initial value of the configuration setting through an application or the printer object.

Default

Let users use a default value for a configuration setting.

For example, an administrator sets Duplex Type to Long Edge and the lock type to Default. When the configured printer driver is accessed from an application, Duplex Type is already set to Long Edge. If a user modifies and sets Duplex Type to Short Edge, then the next time the printer object is used, Duplex Type is still set to Long Edge.

Note: Users can override the default value of the configuration setting only through an application.

Locked

  • Prevent users from changing the value of a setting.

  • Ensure that a setting is used on all jobs that are printed through the configured printer driver.

For example, an administrator sets Duplex Type to Long Edge and the lock type to Locked. When the configured driver is accessed from an application, Duplex Type is already set to Long Edge.

Note: The user is not able to change the Duplex Type configuration setting.


Installing a printer object

After creating configurations and storing them in a Driver Configuration File (DCF), copy the DCF to a shared directory. When you are installing the printer objects, go to the shared directory and select the DCF with the configurations you want to use.

Using the configuration to customize new printer objects

Using a configuration with the Software and Documentation CD

Using a configuration with an installation package

Using a configuration in a command line

Using a configuration with Point and Print


Using the configuration to customize new printer objects

After creating a driver configuration, you can use it to configure new printer drivers as you install them. You can install a printer driver in any of the following ways:

  • Using a configuration with the Software and Documentation CD

  • Using a configuration with an installation package

  • Using a configuration in a command line

  • Using a configuration with Point and Print

Note: Store the configuration in a Driver Configuration File (DCF), and then place it in a shared directory to allow other users to apply it to their new printer drivers.


Using a configuration with the Software and Documentation CD

  1. Insert the Software and Documentation CD.

    Wait for the installation dialog to appear.

    If the installation dialog does not appear after a minute, then do the following:

    In Windows 8

    From the Search charm, type run, and then navigate to:

    Apps list > Run > type D:\setup.exe > OK

    In Windows 7 or earlier

    1. Click the start button, or click Start and then click Run.

    2. In the Start Search or Run dialog, type D:\setup.exe.

    3. Press Enter, or click OK.

    Note: D is the letter of your CD or DVD drive.

  2. Click Install, and then follow the instructions on the computer screen.

  3. From the Install Options dialog, click Advance Options.

  4. From the Configuration Settings section, select Use a configuration to apply settings.

    Note: Select Apply to all future installations if you want to apply the same configuration to all subsequent print queue creations; otherwise, the configuration only applies to this installation.

  5. Do one of the following:

    • If you want to use an existing configuration file, then click Load File.

    • If you want to create a new configuration file, then do the following:

      1. Click New.

      2. Select the configuration data you want to create, and then click Finish.

  6. Follow the instructions on the computer screen, and then click Finish.


Using a configuration with an installation package

  1. Insert the Software and Documentation CD.

    Wait for the installation dialog to appear.

    If the installation dialog does not appear after a minute, then do the following:

    In Windows 8

    From the Search charm, type Run, and then navigate to:

    Apps list > Run > type D:\setup.exe > OK

    In Windows 7 or earlier

    1. Click the start button, or click Start and then click Run.

    2. In the Start Search or Run dialog, type D:\setup.exe.

    3. Press Enter, or click OK.

    Note: D is the letter of your CD or DVD drive.

  2. Click Advanced Options > Administrator Tools > Create Installation Package.

  3. Follow the instructions on the computer screen.

  4. From the “Available drivers” drop-down menu in Configure Print or Fax Driver dialog, select the printer driver you want to configure.

  5. If you want to share the printer over a network, then select Share the printer, and then enter the necessary information for the shared printer.

  6. From the Configuration Settings section, select Use a configuration to apply settings.

    Note: Select Apply to all future installations if you want to apply the same configuration to all subsequent print queue creations; otherwise, the configuration only applies to this installation.

  7. Do one of the following:

    • If you want to use an existing configuration file, then click Load File.

    • If you want to create a new configuration file, then do the following:

      1. Click New.

      2. Select the configuration data you want to create, and then click Finish.

  8. Follow the instructions on the computer screen, and then click Finish.


Using a configuration in a command line

ConfigUtil.exe is a tool used to retrieve settings from or add configuration into a print queue. It is located in the printer installation folder. It can be useful in scripting for deployment or maintenance.

To retrieve the settings from an existing queue, enter the following in the command line:

Configutil pull /all /dcf c:\temp\MyDCF.ldc /po “Lab X530 PS3”

To add the settings into a queue, enter the following in the command line:

Configutil push /dcf c:\temp\MyDCF.ldc /po “Lab X530 PS3”

Note: In the command line, type configutil /? to see the full list of parameters.


Using a configuration with Point and Print

Point and Print is a method of installing printer objects that are controlled by the operating system. Use a configuration to customize a printer object on a server, and then use Point and Print to transmit the driver data to client machines. For more information, see the documentation that came with your operating system.

Notes:

  • Only client and server combinations can be used to configure printer objects using Point and Print.
  • Make sure to share the configured printer object and to update Printing Defaults in the configuration file.


Managing driver configurations

Information you need when managing driver configurations

Saving driver configurations


Information you need when managing driver configurations

  • The configuration file format, which has an .ldc file extension, is not compatible with an old configuration file format, which has a .pfl file extension. However, the old file format works if you change it to the current file format and export or import it from the Printer Preferences tab.

  • Only administrators can apply a configuration from the Printer Properties and Printing Defaults tabs.

  • Non-administrators or restricted users can only apply a Printer Preference configuration file using a command line tool.

  • Non-administrators or restricted users can only export a configuration file using a command line tool. However, they must have administrator privileges to completely manage a configuration file.

  • Multiple configurations within a single driver configuration files are not supported. A print application utilizes the last configuration in the file and ignores the rest.

    Note: To use multiple configurations, we recommend separating them in different .ldc files.


Saving driver configurations

  1. Click Save or Save As.

  2. Type the file name of the configuration.

    Notes:

    • Make sure the file name has an .ldc file extension.
    • A file name may be required when saving driver configurations.


Modifying configuration settings

Configuring Page Layout

Each Page Layout setting can be turned on and off independently.

Notes:

  • If an administrator sets the lock type of any two option settings to Locked, then the remaining option settings are disabled in the configured printer driver.
  • If an administrator sets all option settings to Off and sets the lock type to Locked, then Normal is automatically selected and the remaining option settings are disabled in the configured printer driver.

Configuring Multiple pages per side (N-Up) settings

The N-Up settings enables printing multiple pages on one sheet.

  1. Select N-Up, and then set the lock type to Save, Default, or Locked.

  2. Modify the N-Up settings.

    Note: Selecting a page per size value that includes a + and setting the lock type to Locked, limits the option of the “Pages per size” menu. For example, if you select 4+ and set the lock type to Locked, then the option to print 2-up will be removed from the configured printer driver.

Configuring Duplex

To enable printing on both sides of the paper (duplex), set “Duplex Settings” to Both Sides, and then set “Duplex Type” to either Long Edge or Short Edge.

To enable printing on only one side of the paper (simplex), set “Duplex Settings” to One Side, and then set “Duplex Type” to None.

Configuring Watermark

  1. Select Use Watermark, and then set the lock type to Save, Default, or Locked.

  2. Modify the watermark configuration settings.

    Use

    To

    Watermark Destination

    Select pages where the watermark is printed.

    Note: To enable watermarks, set the lock type to Save, Default, or Locked.

    Watermark 1

    Enter the watermark name that is applied to all pages, to the first page, or to odd-numbered pages.

    Watermark 2

    Enter the watermark name that is applied to other pages or to even-numbered pages.

Configuring Overlay

To enable overlays, set “Use Overlay” to True, and then choose an overlay destination. Enter the name of the overlay as it appears in the Overlay tab of the driver.

Use | To
Overlay 1 | Apply an overlay for all pages, for the first page, or for odd-numbered pages.
Overlay 2 | Apply an overlay for other pages or for even-numbered pages.

Configuring Bidi

During installation, the driver attempts to determine the printer model and its configuration options. To disable this query, set “Update Configuration from Printer” to Off.

Configuring Confidential Print

Confidential Print requires a PIN and user name. This can cause problems when importing and exporting print settings because the driver does not export the PIN and user name.

In order to deploy a Driver Configuration File (DCF) that enables Confidential Print, you need to supply a temporary PIN and share it to other users. They can use this PIN or change it.

Notes:

  • If you choose to leave the PIN blank, then the PIN will be set to 1111.
  • If you choose to leave the PIN blank when updating an existing queue, then a previously entered PIN remains.
  • If you use a valid PIN after applying the configuration with an invalid PIN, then the valid PIN remains.

Configuring hardware options

The Configuration Options tab contains a list of hardware options that can be set to “installed” or “not installed.” If your printer has a hardware option, such as a duplexer, bin, or tray, then enable the option by selecting it in the configuration file, and then setting its lock type to Save or Locked. The hardware option then becomes available in the configured printer driver.

If a hardware option is enabled in the configuration file, then you can set it as the default value for other configuration settings. For example, if you want to set “Tray 2” as the default output tray, then do the following:

  1. From the Configuration Options tab, select Tray 2, and then set the lock type to Save or Locked.

  2. From the “Paper source/tray” drop-down menu of the Output/Paper tab, select Tray 2.


Applying driver configurations

  1. Open the Driver Configuration File (DCF) that contains the configuration you want to apply.

    Note: The file name must have an extension of .ldc.

  2. From the File menu, click Apply.

  3. From the Apply Configuration dialog, select the printer object to which you want to apply the configuration.

  4. Click Apply.

Note: A configuration can be applied to more than one printer object.


Troubleshooting

How do I remove an unsupported item?

How do I add a new setting?

The configuration for my printer object does not work

I could not create a configuration containing only overlays

Some printer objects are missing

I received an error message when I tried to install a printer object using a configuration


How do I remove an unsupported item?

Currently, the tool does not support removing settings manually. However, the driver will ignore the unsupported settings.


How do I add a new setting?

The Driver Configuration Utility does not support adding settings manually. To add a missing setting, create a new Driver Configuration File (DCF).


The configuration for my printer object does not work

Some settings may apply only to a particular data stream or printer model. For example, PCL emulation settings are not reflected in a PostScript printer object. The driver applies the settings that can be applied and ignores the conflicting or unsupported settings.

The Printer Driver Configuration Utility may let you configure more settings than can actually be applied simultaneously. For example, to disable the booklet feature, you can configure all the booklet settings, then set N-Up to 2, and then select Locked.


I could not create a configuration containing only overlays

You must create a downloaded overlay reference (or other resource in the title) when the printer object properties are displayed. If you do not create the resources that you selected to store, an error message appears, and the profile is not created. Examples of overlays are simple text/watermark, font, custom papers, or form association. The Printer Driver Configuration Utility does not create empty configurations.


Some printer objects are missing

The Printer Driver Configuration Utility tests each printer object on your system. If a printer object does not support configurations, then it is not included in the list of available printer objects. You may need to upgrade your printer objects to the latest version of the driver.

The Printer Driver Configuration Utility does not list printer objects on your system that have been installed by way of Point and Print.

Some printer manufacturers may not support configurations.


I received an error message when I tried to install a printer object using a configuration

Click Retry to attempt to install the printer object using the configuration again. Verify that the settings contained in the configuration can be used with your printer object.

If you click Cancel on the error dialog box, then the printer object installation continues using the factory default settings. Your configuration is not used to customize the printer object.

If you click Cancel but still want to use the configuration:

  1. Delete the printer object you created with the default settings.

  2. Determine why you received an error in the Driver Configuration File (DCF), and correct it.

  3. Reinstall the printer object using the DCF.


Printer Driver Configuration Utility Help


Driver Configuration File

Driver Configuration Files (DCFs) contain driver configurations and use the file extension .ldc. You must use the Printer Driver Configuration Utility to create DCFs. During installation, end users and clients select the DCF that contains the configurations they want to use to create a printer object. An individual configuration inside the DCF is identified by a description.

You can also use the Printer Driver Configuration Utility to view and edit configurations in a DCF.


Determining operating system compatibility

Driver configurations can be created for Windows XP and later. The configurations can work across printer models and across data streams.

Note: If your are using Windows XP SP2 or earlier, then the Printer Driver Configuration Utility requires Microsoft XML Core Services (MSXML) 6. You can download MSXML 6 from www.microsoft.com.